% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: January 2019
% **************************************************************************** %



% **************************************************************************** %
% LIST CUSTOMIZATION
% **************************************************************************** %
\usepackage{enumitem}

\setlist[itemize]{
  leftmargin=0.3cm,
  labelsep=0.07cm,
  topsep=-2cm,
  nosep,
  noitemsep
}

\setlist[itemize,2]{ % second layer
  leftmargin=0.4cm,
  label={\footnotesize \( \hookrightarrow \)},
}

\setlist[enumerate]{
  leftmargin=0.47cm,
  topsep=-2cm,
  nosep,
}

% To make a simple bullet point
\newcommand{\bul}[1]{\begin{ilist}\item #1 \end{ilist}}

% One column itemize
\newenvironment{ilist}[1][,]{
  \begin{itemize}[#1]
    }{
    \end{itemize}
    }

% Two column itemize
\usepackage{multicol}
\newenvironment{iilist}[1][,]{
  \begin{itemize}[#1]
  \begin{multicols}{2}
}{
  \end{multicols}
  \end{itemize}
}

% One column enumerate
\newenvironment{elist}[1][,]{
  \begin{enumerate}[#1]
}{
  \end{enumerate}
}

% Two column enumerate
\usepackage{multicol}
\newenvironment{eelist}[1][,]{
  \begin{enumerate}[#1]
  \begin{multicols}{2}
}{
  \end{multicols}
  \end{enumerate}
}

% Pro/Contra table
\usepackage{xcolor}
\usepackage{multicol}
\let\svitem\item
\newenvironment{rating}[1][,]{
  \renewcommand\item[1][black]{\color{##1}\svitem}
  \begin{itemize}[#1]
}{
  \end{itemize}
}
\newenvironment{rrating}[1][,]{
  \renewcommand\item[1][black]{\color{##1}\svitem}
  \begin{itemize}[#1]
  \begin{multicols}{2}
}{
  \end{multicols}
  \end{itemize}
}
\definecolor{darkgreen}{HTML}{04B431}
\definecolor{darkred}{HTML}{B40404}
\newcommand{\pr}{\item[darkgreen]}
\newcommand{\co}{\item[darkred]}
% **************************************************************************** %